Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2629)

Issue 761143003: DevTools: remove ScriptPreprocessor (Closed)

Created:
5 years, 10 months ago by yurys
Modified:
5 years, 8 months ago
CC:
blink-reviews, caseq+blink_chromium.org, loislo+blink_chromium.org, eustas+blink_chromium.org, malch+blink_chromium.org, yurys+blink_chromium.org, lushnikov+blink_chromium.org, blink-reviews-bindings_chromium.org, vsevik+blink_chromium.org, pfeldman+blink_chromium.org, paulirish+reviews_chromium.org, apavlov+blink_chromium.org, devtools-reviews_chromium.org, arv+blink, sergeyv+blink_chromium.org, aandrey+blink_chromium.org
Target Ref:
refs/heads/master
Project:
blink
Visibility:
Public.

Description

DevTools: remove ScriptPreprocessor BUG=394230, 438626 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=190314

Patch Set 1 #

Patch Set 2 : Rebase #

Patch Set 3 : Rebase #

Patch Set 4 : Updated protocol.json #

Patch Set 5 : Addressed comments #

Patch Set 6 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+9 lines, -555 lines) Patch
M LayoutTests/TestExpectations View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M LayoutTests/inspector/extensions/extensions-reload.html View 1 2 1 chunk +0 lines, -32 lines 0 comments Download
M LayoutTests/inspector/extensions/extensions-reload-expected.txt View 1 2 1 chunk +0 lines, -12 lines 0 comments Download
D LayoutTests/inspector/sources/debugger/debugger-script-preprocessor.html View 1 chunk +0 lines, -99 lines 0 comments Download
D LayoutTests/inspector/sources/debugger/debugger-script-preprocessor-expected.txt View 1 chunk +0 lines, -26 lines 0 comments Download
M Source/bindings/core/v8/DOMWrapperWorld.h View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M Source/bindings/core/v8/PageScriptDebugServer.h View 1 2 3 4 5 3 chunks +0 lines, -10 lines 0 comments Download
M Source/bindings/core/v8/PageScriptDebugServer.cpp View 1 2 3 4 5 5 chunks +0 lines, -91 lines 0 comments Download
M Source/bindings/core/v8/ScriptController.cpp View 1 2 3 4 5 1 chunk +1 line, -4 lines 0 comments Download
M Source/bindings/core/v8/ScriptDebugServer.h View 1 2 3 4 5 1 chunk +0 lines, -5 lines 0 comments Download
M Source/bindings/core/v8/ScriptDebugServer.cpp View 1 2 3 4 5 2 chunks +1 line, -13 lines 0 comments Download
D Source/bindings/core/v8/ScriptPreprocessor.h View 1 chunk +0 lines, -59 lines 0 comments Download
D Source/bindings/core/v8/ScriptPreprocessor.cpp View 1 2 3 4 5 1 chunk +0 lines, -115 lines 0 comments Download
M Source/bindings/core/v8/V8LazyEventListener.cpp View 1 2 3 4 5 3 chunks +1 line, -3 lines 0 comments Download
M Source/bindings/core/v8/V8ScriptRunner.h View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M Source/bindings/core/v8/V8ScriptRunner.cpp View 1 2 3 4 5 1 chunk +0 lines, -11 lines 0 comments Download
M Source/bindings/core/v8/v8.gypi View 1 2 3 4 5 1 chunk +0 lines, -2 lines 0 comments Download
M Source/core/inspector/InspectorDebuggerAgent.h View 1 2 3 4 5 1 chunk +0 lines, -3 lines 0 comments Download
M Source/core/inspector/InspectorDebuggerAgent.cpp View 1 2 3 4 5 2 chunks +0 lines, -11 lines 0 comments Download
M Source/core/inspector/InspectorInstrumentation.cpp View 1 2 3 4 5 1 chunk +0 lines, -14 lines 0 comments Download
M Source/core/inspector/InspectorInstrumentationCustomInl.h View 1 2 3 4 5 2 chunks +0 lines, -18 lines 0 comments Download
M Source/core/inspector/InspectorPageAgent.h View 1 2 3 4 5 3 chunks +1 line, -4 lines 0 comments Download
M Source/core/inspector/InspectorPageAgent.cpp View 1 2 3 4 5 2 chunks +1 line, -4 lines 0 comments Download
M Source/core/inspector/PageDebuggerAgent.cpp View 1 2 3 4 5 1 chunk +0 lines, -6 lines 0 comments Download
M Source/devtools/front_end/extensions/ExtensionAPI.js View 1 2 3 4 1 chunk +0 lines, -2 lines 0 comments Download
M Source/devtools/front_end/extensions/ExtensionServer.js View 1 2 1 chunk +1 line, -2 lines 0 comments Download
M Source/devtools/front_end/externs.js View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M Source/devtools/front_end/sdk/ResourceTreeModel.js View 1 2 1 chunk +2 lines, -3 lines 0 comments Download
M Source/devtools/protocol.json View 1 2 3 4 5 1 chunk +1 line, -2 lines 0 comments Download

Messages

Total messages: 10 (2 generated)
yurys
Script preprocessing is exposed in DevTools extension API (https://developer.chrome.com/extensions/devtools_inspectedWindow) so we will need to deprecate ...
5 years, 10 months ago (2014-12-03 16:15:54 UTC) #2
yurys
PTAL
5 years, 8 months ago (2015-02-02 14:54:33 UTC) #3
kozy
On 2015/02/02 14:54:33, yurys wrote: > PTAL What is about preprocessor related code in third_party/WebKit/Source/devtools/front_end/externs.js:293 ...
5 years, 8 months ago (2015-02-02 15:08:04 UTC) #4
yurys
On 2015/02/02 15:08:04, kozyatinskiy wrote: > On 2015/02/02 14:54:33, yurys wrote: > > PTAL > ...
5 years, 8 months ago (2015-02-02 15:12:07 UTC) #5
kozy
On 2015/02/02 15:12:07, yurys wrote: > On 2015/02/02 15:08:04, kozyatinskiy wrote: > > On 2015/02/02 ...
5 years, 8 months ago (2015-02-02 15:18:15 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/761143003/100001
5 years, 8 months ago (2015-02-17 10:43:26 UTC) #8
pfeldman
lgtm
5 years, 8 months ago (2015-02-17 10:49:31 UTC) #9
commit-bot: I haz the power
5 years, 8 months ago (2015-02-17 13:17:57 UTC) #10
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://src.chromium.org/viewvc/blink?view=rev&revision=190314

Powered by Google App Engine
This is Rietveld 408576698